AUPARSE_GET_TYPE_NAME(3)

NAME
auparse_get_type_name - get record's type translation

SYNOPSIS
#include <auparse.h>

const char *auparse_get_type_name(auparse_state_t *au);

DESCRIPTION
The auparse_get_type_name function will return the text representation of the name of the current record type.

RETURN VALUE
The auparse_get_type_name function returns NULL on error; otherwise a pointer to a string.

SEE ALSO
auparse_get_type(3),auparse_next_record(3).

AUTHOR
Steve Grubb